Package tigase.eventbus.impl

## Class EventsNameMap<M>

- java.lang.Object
- - tigase.eventbus.impl.EventsNameMap<M>

-     public class EventsNameMap<M>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventsNameMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.Collection<M>` | `createDataList()` |
    `protected java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​java.util.Collection<M>>>` | `createMainDataMap()` |
    `protected java.util.Map<java.lang.String,​java.util.Collection<M>>` | `createNamesDataMap()` |
    `void` | `delete​(java.lang.String pckg, java.lang.String name, M data)` |
    `void` | `delete​(M data)` |
    `java.util.Collection<M>` | `get​(java.lang.String pckg, java.lang.String name)` |
    `java.util.Collection<M>` | `getAllData()` |
    `java.util.Set<EventName>` | `getAllListenedEvents()` |
    `boolean` | `hasData​(java.lang.String pckg, java.lang.String name)` |
    `void` | `put​(java.lang.String pckg, java.lang.String name, M data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventsNameMap

          public EventsNameMap()

  - ### Method Detail

    - #### delete

          public void delete​(M data)

    - #### delete

          public void delete​(java.lang.String pckg,
                             java.lang.String name,
                             M data)

    - #### get

          public java.util.Collection<M> get​(java.lang.String pckg,
                                             java.lang.String name)

    - #### getAllData

          public java.util.Collection<M> getAllData()

    - #### getAllListenedEvents

          public java.util.Set<EventName> getAllListenedEvents()

    - #### hasData

          public boolean hasData​(java.lang.String pckg,
                                 java.lang.String name)

    - #### put

          public void put​(java.lang.String pckg,
                          java.lang.String name,
                          M data)

    - #### createDataList

          protected java.util.Collection<M> createDataList()

    - #### createMainDataMap

          protected java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​java.util.Collection<M>>> createMainDataMap()

    - #### createNamesDataMap

          protected java.util.Map<java.lang.String,​java.util.Collection<M>> createNamesDataMap()